# example expect file
version: 1
connection:
  type: ssh
  address: 10.31.37.123:22
  username: root
  password: toor

data:
  - {ip: 10.1.1.246, username: usuario, secret: usuario, n_user: gestion1, n_pass: password1}
  - {ip: 10.1.1.246, username: usuario, secret: usuario, n_user: gestion2, n_pass: password2}
  # - {ip: 10.1.1.246, username: usuario, secret: usuario, n_user: gestion3, n_pass: password3}
  # - {ip: 10.1.1.246, username: usuario, secret: usuario, n_user: gestion4, n_pass: password4}
  # - {ip: 10.1.1.246, username: usuario, secret: usuario, n_user: gestion5, n_pass: password5}

script:
  - send:   "\n"
  - expect: "RT-ATM-\\d{2}[:~]*#"
  - send:   "ssh -l {{.username}} {{.ip}}\n"
  - expect: "password:"
  - send:   "{{.secret}}\n"
  - expect: "<[a-zA-Z0-9]+>"


  - send: "\n"
  - expect: "<[a-zA-Z0-9]+>"
  - send: "system-view\n"
  - expect: "\\[[a-zA-Z0-9]+\\]"
  - send: "local-user {{.n_user}}\n"
  - expect: "luser-{{.n_user}}\\]"
  - send: "password cipher {{.n_pass}}\n"
  - expect: "luser-{{.n_user}}\\]"
  - send: "authorization-attribute level 3\n"
  - expect: "luser-{{.n_user}}\\]"
  - send: "service-type ssh telnet terminal\n"
  - expect: "luser-{{.n_user}}\\]"
  - send: "quit\n"
  - expect: "\\[[a-zA-Z0-9]+\\]"
  - send: "quit\n"
  - expect: "<[a-zA-Z0-9]+>"
  - send: "save\n"
  - expect: "Are you sure?"
  - send: "y\n"
  - expect: "Please input the file name"
  - send: "\n"
  - expect: "overwrite?"
  - send: "y\n"
  - expect: "<[a-zA-Z0-9]+>"
  - send: "quit\n"


